%define		ver	0.12.402.102
%define		rel	2

%define		scim_dir		%(pkg-config --variable=moduledir scim)

Name:		mozc
Summary:	Japanese Input Method Editor designed for multi-platform
Summary(ja):	マルチプラットホームで動くように設計された日本語インプットメソッドエディタ
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Group:		System Environment/Libraries
License:	BSD-like (and EDICT is CC-by-sa 3.0 Unported)
URL:		http://code.google.com/p/mozc/

Source0:	http://mozc.googlecode.com/files/%{name}-%{version}.tar.bz2
## svn debian/copyright
Source1:	mozc-copyright	

## Mozc icons by AWASHIRO Ikuya
## http://blog.goo.ne.jp/ikunya/e/2ac954b762a5eec3cc767f2502971f14
# http://twitpic.com/1ybqpd
Source3:	ikuya-mozc.png
# http://twitpic.com/1yc148
Source4:	ikuya-mozc-tool.png
# http://twitpic.com/1ybr8g
Source5:	ikuya-mozc-dictionary.png
# http://twitpic.com/1ybreb
Source6:	ikuya-mozc-property.png 

# Vine Lunux
Source10:	README.vine

Patch1:		ibus-mozc-0.11.0-fix-compile-w-i386.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python, ibus-devel, dbus-devel
BuildRequires:	openssl-devel, zlib-devel
BuildRequires:	curl-devel
BuildRequires:	protobuf-devel, gtest-devel
BuildRequires:	qt4-devel
BuildRequires:  gyp
# for scim-mozc
BuildRequires:	pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  scim-devel

Requires:	mozc-server = %{version}-%{release}
Requires:	mozc-utils-gui = %{version}-%{release}
Requires:	ibus-mozc = %{version}-%{release}

Packager:	kazutaka

%description
Mozc is a Japanese Input Method Editor (IME) designed for
multi-platform such as Chromium OS, Windows, Mac and Linux.
This open-source project originates from Google Japanese Input.

%description -l ja
Mozc は日本語入力用の IME (Imput Method Editor)です。
Chromium OS や Windows、Mac、Linux といったマルチプラット
フォームで利用できるようにデザインされており、「Google日本語
入力」のオープンソース版です。

%package server
Summary:	Server part of the Mozc input method
Summary(ja):	Mozc インプットメソッドのサーバ部分
Group: 		Applications/System

%description server
Server part of the Mozc input method, used by Mozc clients such as 
ibus-mozc.

%description server -l ja
Mozc インプットメソッドのサーバ部分。ibus-mozcなどのMozcクライアントから
使うことができます。

%package -n ibus-mozc
Summary:	iBus engine module for Mozc
Summary(ja):	Mozc 用 iBus エンジンモジュール
Group:		System Environment/Libraries 
Requires:	mozc-server = %{version}-%{release}

%description -n ibus-mozc
iBus engine module for Mozc.

%description -n ibus-mozc -l ja
Mozc 用 iBus エンジンモジュール。

%package -n scim-mozc
Summary:	SCIM IMEngine module for Mozc
Summary(ja):	Mozc 用 SCIM IMEngine モジュール
Group:		System Environment/Libraries 
Requires:	mozc-server = %{version}-%{release}
Requires:	scim gtk2

%description -n scim-mozc
SCIM IMEngine module for Mozc.

%description -n scim-mozc -l ja
Mozc 用 SCIM IMエンジンモジュール

%package utils-gui
Summary:	Mozc GUI utilities
Summary(ja):	Mozc GUI ユーティリティー
Group:		Applications/System
Requires:	qt4
Requires:	mozc-server = %{version}-%{release}

%description utils-gui
Mozc GUI uitilities, such as the configuration dialog, user dictionary 
tool and about dialog.

%description utils-gui -l ja
Mozc GUI ユーティリティー。設定ツールやユーザ辞書ツールなどが含まれます。

%prep
%setup -q
%{__cp} -p %{SOURCE1} COPYING
%patch1 -p1 -b .fix-i386

# update execute files path
%{__sed} -i -e"s|/usr/lib/mozc|%{_libexecdir}|g" base/util.cc


%build
%{__python} build_mozc.py gyp --gypdir=%{_bindir}
%{__python} build_mozc.py build_tools -c Release
%{__python} build_mozc.py build -c Release unix/ibus/ibus.gyp:ibus_mozc \
	    unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup \
	    server/server.gyp:mozc_server gui/gui.gyp:mozc_tool

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_libexecdir}

%define output_dir out_linux/Release

# ibus-mozc
%{__cp} -p %{output_dir}/ibus_mozc %{buildroot}%{_libdir}/ibus-engine-mozc
%{__mkdir_p} %{buildroot}%{_datadir}/ibus/component/
%{__sed} 's|/usr/libexec|%{_libdir}|' < %{output_dir}/obj/gen/unix/ibus/mozc.xml > %{buildroot}%{_datadir}/ibus/component/mozc.xml

# scim-mozc
%{__mkdir_p} %{buildroot}%{scim_dir}/{IMEngine,SetupUI}
%{__cp} -p %{output_dir}/lib.target/libscim_mozc.so \
                                  %{buildroot}%{scim_dir}/IMEngine/mozc.so
%{__cp} -p %{output_dir}/lib.target/libscim_mozc_setup.so \
                                  %{buildroot}%{scim_dir}/SetupUI/mozc-setup.so

# mozc-server
%{__cp} -p %{output_dir}/mozc_server %{buildroot}%{_libexecdir}

# mozc_tool
%{__cp} -p %{output_dir}/mozc_tool %{buildroot}%{_libexecdir}

# install icon (temporary)
%{__mkdir_p} %{buildroot}%{_datadir}/ibus-mozc/setup
%{__cp} -p %{SOURCE3} %{buildroot}%{_datadir}/ibus-mozc/product_icon.png
%{__cp} -p %{SOURCE4} %{buildroot}%{_datadir}/ibus-mozc/unknown.ico
%{__mkdir_p} %{buildroot}%{_datadir}/scim/icons
%{__cp} -p %{SOURCE3} %{buildroot}%{_datadir}/scim/icons/scim-mozc.png
%{__cp} -p %{SOURCE4} %{buildroot}%{_datadir}/scim/icons/scim-mozc-tool.png
%{__cp} -p %{SOURCE5} %{buildroot}%{_datadir}/scim/icons/scim-mozc-dictionary.png
%{__cp} -p %{SOURCE6} %{buildroot}%{_datadir}/scim/icons/scim-mozc-property.png

# install document
%{__cp} %{SOURCE10} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README.vine

%files server
%defattr(-,root,root)
%doc COPYING README.vine
%{_libexecdir}/mozc_server

%files utils-gui
%defattr(-,root,root)
%doc COPYING
%{_libexecdir}/mozc_tool

%files -n ibus-mozc
%defattr(-,root,root)
%doc COPYING
%{_libdir}/ibus-engine-mozc
%{_datadir}/ibus/component/mozc.xml
%dir %{_datadir}/ibus-mozc
%dir %{_datadir}/ibus-mozc/setup
%{_datadir}/ibus-mozc/product_icon.png
%{_datadir}/ibus-mozc/unknown.ico
%{_datadir}/scim/icons/scim-mozc-dictionary.png
%{_datadir}/scim/icons/scim-mozc-property.png

%files -n scim-mozc
%defattr(-,root,root)
%doc COPYING
%{scim_dir}/SetupUI/mozc-setup.so
%{scim_dir}/IMEngine/mozc.so
%{_datadir}/scim/icons/scim-mozc.png
%{_datadir}/scim/icons/scim-mozc-tool.png

%changelog
* Mon Jul 12 2010 IWAI, Masaharu <iwai@alib.jp> 0.12.402.102-2
- drop obsolete x86_64 libdir patch (Patch2)
- replace source tarball: using upstream tarball
- add mozc-copyright (Source1) from SVN debian/copyright

* Fri Jul  2 2010 IWAI, Masaharu <iwai@alib.jp> 0.12.402.102-1
- new upstream release
- drop mozcdic-ut dictionary
- update README.vine (Source10)
- defined output_dir macro for %%install section

* Thu Jun 24 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.383.102-3
- add x86_64 libdir patch (Patch2): based openSUSE by kazukado

* Mon Jun 21 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.383.102-2
- create new package scim-mozc
  - add icons (Source5, Source6)
- update icons (Source3, Source4)

* Fri Jun 18 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.383.102-1
- update to 0.11.383.102 (svn rev.30)

* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-9.svn28
- update execute files path: <BTS:VineLinux:998>

* Fri Jun  4 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-8.svn28
- disable all mozcdic-ut dictionary (disable jinmei and zipcode)
- update README.vine
- add BuildRequires: gyp
- drop BuildRequires: subversion

* Wed Jun  2 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-7.svn28
- add mozc_tool's icon (Source4)
- rename Source0: fixed created directory name "src"

* Tue Jun  1 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-6.svn28
- update mozcdic-ut 20100601 (Source10)
- include documents for all dictionaries
- add BuildRequires: qt4-devel

* Tue Jun  1 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-5.svn28
- rename base name: mozc
- add new sub packages:
   - mozc-server
   - mozc-utils-gui
- update source to revision 28
- replace icon (Source3)
- drop mozc-config: upstream implement same tool

* Sun May 23 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-4
- update source to revision 23
- add BuildRequires protobuf-devel, gtest-devel
- drop Patch0 (ibus-mozc-fix-for-x86_64.diff)
- add mozc-config as Source10 and desktop entry as Source11

* Sat May 15 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-3
- rebuild with ibus-1.3.3

* Fri May 14 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-2
- add Patch1 to fix compile error on i386 (workaround patch)

* Thu May 13 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-1
- initial build for Vine Liux based on custom mandriva package made by UTUMI-san

* Thu May 13 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-2.20110511.1mdv2010.1
- add some dictionaries

* Wed May 12 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-1.20110511.1mdv2010.1
- first release

