Summary:          pdftk - the pdf tool kit
Summary(ja):      PDF 操作ツールキット
Name:             pdftk
Version:          1.41
Release:          1%{?_dist_release}
License:          GPL
URL:              http://www.accesspdf.com/pdftk/
Source0:          %{name}-%{version}.tar.bz2
Group:            Applications/Publishing
Vendor:           Project Vine
Distribution:     Vine Linux
Packager:         Susumu Tanimura <stanimura-ngs@umin.ac.jp>
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
Requires:         libgcj
BuildRequires:    gcc-java libgcj-devel

%description
If PDF is electronic paper, then pdftk is an electronic staple-remover,
hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. Pdftk is a simple
tool for doing everyday things with PDF documents. Keep one in the top drawer
of your desktop and use it to:

    * Merge PDF Documents
    * Split PDF Pages into a New Document
    * Decrypt Input as Necessary (Password Required)
    * Encrypt Output as Desired
    * Burst a PDF Document into Single Pages
    * Report on PDF Metrics, including Metadata and Bookmarks
    * Uncompress and Re-Compress Page Streams
    * Repair Corrupted PDF (Where Possible)

Pdftk is also an example of how to use a library of Java classes in a
stand-alone C++ program. Specifically, it demonstrates how GCJ and CNI allow
C++ code to use iText's (itext-paulo) Java classes.


%description -l ja
pdftk は PDF 文書を扱うツールであり、PDF文書の結合、分割、暗号化、復号
化、ページ分解、文書情報表示、圧縮展開機能を有し、壊れたPDF文書を可能
な限り修復する機能もある。

%prep
%setup -q

%build
cd pdftk
## don't use smp_mflags
%{__make} -f Makefile.RedHat
cd -

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%{__install} -d $RPM_BUILD_ROOT/%{_bindir}
%{__install} -d $RPM_BUILD_ROOT/%{_mandir}/man1
%{__install} -m 0755 pdftk/pdftk $RPM_BUILD_ROOT/%{_bindir}/
%{__install} -m 0644 debian/pdftk.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc pdftk.1.html  pdftk.1.notes  pdftk.1.txt
%{_bindir}/*
%{_mandir}/man1/*

%changelog 
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.41-1vl5
- applied new versioning policy, spec in utf-8

* Fri Feb 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.41-0vl2
- updated release number

* Sun Sep  2 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.41-0vl1
- new upstream release
- rebuilt with new toolchain and environment

* Thu Aug 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt for VineSeed (4.0)

* Mon Jun  6 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Inital package for VineLinux3.1

